#
# Specfile for lineak_xosdplugin, XOSD support for lineakd.
#

Name:           lineak-xosdplugin
Version:        0.9
Release:        5%{?dist}
Summary:        Plugin for the lineakd keyboard daemon to enable XOSD support

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lineak.sourceforge.net

################################################################################

Source:         http://dl.sourceforge.net/lineak/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9-gcc43.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

BuildRequires:  lineakd-devel      = %{version}
BuildRequires:  xosd-devel        >= 2.1
BuildRequires:  libXinerama-devel
BuildRequires:  libXt-devel

Requires:       lineakd            = %{version}
Requires:       xosd              >= 2.1

Obsoletes:      lineak_xosdplugin <= %{version}
Provides:       lineak_xosdplugin  = %{version}

################################################################################

%description
This plugin provides lineakd with the ability to use the XOSD library to print
helpful onscreen display text when you perform an action (eg. a volume
indicator to show you the current level).

################################################################################

%prep

%setup -q
%patch0 -p1

################################################################################

%build

%configure --with-lineak-plugindir=%{_libdir}/lineakd/plugins

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove the libtool archive files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lineakd/plugins/*.la

################################################################################

%clean

rm -rf $RPM_BUILD_ROOT

################################################################################

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/lineakd/plugins/*
%{_mandir}/man[^3]/*

################################################################################

%changelog
* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.9-5
- fix FTBFS BZ#434522 by #including cstdlib and cstring

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9-4
- fix license tag

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-3
- Autorebuild for GCC 4.3


* Fri Sep  8 2006   Chris Petersen <rpm@forevermore.net>                  0.9-2
- Rebuild for FC6 glibc update

* Thu May 25 2006   Chris Petersen <rpm@forevermore.net>                  0.9-1
- Preliminary build for 0.9
- Yay, no more underscores

* Tue May 23 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-4
- Add BuildRequires

* Mon May 22 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-3
- Rename package with - instead of _, despite upstream use of _
- Add Obsoletes and Provides for the underscore version of the name

* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-2
- Fix download link to point to direct download

* Thu May 11 2006   Chris Petersen <rpm@forevermore.net>                0.8.4-1
- Update spec to match fedora guidelines

* Mon Mar 14  2005 Chris Petersen <rpm@forevermore.net>
- Change lineakd required version from >= to =

* Wed Sep 15  2004 Chris Petersen <rpm@forevermore.net>
- Rework how files are picked, and add paths to allow the makeinstall macro to work

* Tue Mar 9  2004 Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template that should work with redhat and mandrake

* Tue Feb 10  2004 Chris Petersen <rpm@forevermore.net>
- Updated spec format and made it more compatible with rpmmacros and RedHat/Fedora

